# Frameless Video Camera

This script helps place my face without a video frame on the desktop so when I make tutorials I can be part of the recording.

---
# Install
```shell
$ sudo curl -L "https://git.vdm.dev/api/v1/repos/octoleo/frameless/raw/src/frameless" -o /usr/local/bin/frameless
$ sudo chmod +x /usr/local/bin/frameless
```

## Setup keyboard shortcut

To set up a keyboard shortcut for a custom Bash script in Ubuntu 22.04.1 LTS with the GNOME desktop environment, follow these steps:

1. Open the "Keyboard" settings app from the system menu.
2. Click on the "Shortcuts" tab and then click the "Custom Shortcuts" tab.
3. Click the "+" button to add a new keyboard shortcut.
4. In the "Name" field, enter a descriptive name like **Frameless Video** for the shortcut.
5. In the "Command" field, enter the path to the Bash script you want to run. `nohup frameless &` or `nohup /usr/local/bin/frameless &`
6. In the "Shortcut" field, press the key combination that you want to use as the keyboard shortcut.
7. Click the "Add" button to save the new shortcut.

You should now be able to use the keyboard shortcut you defined to run the Bash script. If you want to change the keyboard shortcut for an existing custom shortcut, click on the shortcut in the list, then press the new key combination in the "Shortcut" field and click "Apply".

---
## Uninstall
```shell
$ sudo rm -f /usr/local/bin/frameless
```

---
# Free Software License
```txt
@copyright  Copyright (C) 2021 Llewellyn van der Merwe. All rights reserved.
@license    GNU General Public License version 2; see LICENSE
```
